about summary refs log tree commit diff
path: root/tests/logging.sh
diff options
context:
space:
mode:
Diffstat (limited to 'tests/logging.sh')
-rw-r--r--tests/logging.sh25
1 files changed, 25 insertions, 0 deletions
diff --git a/tests/logging.sh b/tests/logging.sh
new file mode 100644
index 000000000000..0113ed11c401
--- /dev/null
+++ b/tests/logging.sh
@@ -0,0 +1,25 @@
+source common.sh
+
+clearStore
+
+# Produce an escaped log file.
+set -x
+path=$(nix-build --log-type escapes -vv dependencies.nix --no-out-link 2> $TEST_ROOT/log.esc)
+
+# Convert it to an XML representation.
+nix-log2xml < $TEST_ROOT/log.esc > $TEST_ROOT/log.xml
+
+# Is this well-formed XML?
+if test "$xmllint" != "false"; then
+    $xmllint --noout $TEST_ROOT/log.xml || fail "malformed XML"
+fi
+
+# Test nix-store -l.
+[ "$(nix-store -l $path)" = FOO ]
+
+# Test compressed logs.
+clearStore
+rm -rf $NIX_LOG_DIR
+! nix-store -l $path
+nix-build dependencies.nix --no-out-link --option build-compress-log true
+[ "$(nix-store -l $path)" = FOO ]